Subject: Missing R6RS io port exports
From: Göran Weinholt <[email-masked]>
To: [email-masked]
Date: Sun, 18 Aug 2013 14:14:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello schemers,

these identifiers are not exported by the (rnrs) library:

  &i/o-decoding
  i/o-decoding-error?
  &i/o-encoding
  i/o-encoding-error-char
  i/o-encoding-error?
  make-i/o-decoding-error
  make-i/o-encoding-error
  output-port-buffer-mode

As you can see:

scheme@(guile-user)> (import (rnrs eval))
scheme@(guile-user)> (environment '&i/o-decoding-error (environment '(rnrs)))
ice-9/eval.scm:411:25: In procedure eval:
ice-9/eval.scm:411:25: Syntax error:
unknown location: source expression failed to match any pattern in form &i/o-decoding-error

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
scheme@(#{ g365}#) [1]> 

(Btw, what's up with the gensym in that prompt?)

Additionally these identifiers are not exported by (rnrs io ports):

  &i/o-decoding
  &i/o-encoding
  output-port-buffer-mode

For completeness I will also mention that these exports are missing from
both libraries (I assume because their implementation is non-trivial):

  make-custom-binary-input/output-port
  make-custom-textual-input-port
  make-custom-textual-input/output-port
  bytevector->string
  string->bytevector

The last two are already reported in bug #14109.

Tested with GNU Guile 2.0.9.71-8d5d04.

Regards,

-- 
Göran Weinholt <[email-masked]>
"I'm the kinda guy that if I can't figure it out on my own, then I'm
just not gonna waste my time doing it." -- David Letterman